FROM oven/bun:1-alpine

WORKDIR /app/src/components/microservices/project-manager
COPY src/components/microservices/project-manager/package.json ./package.json
RUN bun install --production
COPY src/components/microservices/project-manager/tsconfig.json ./tsconfig.json
COPY src/components/shared /app/src/components/shared
COPY src/components/microservices/project-manager/src ./src

EXPOSE 4233
CMD ["bun", "run", "src/index.ts"]
